summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/stty/simple-19
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/stty/simple-1 b/tests/stty/simple-1
index 0dcd027be..ffeee8147 100755
--- a/tests/stty/simple-1
+++ b/tests/stty/simple-1
@@ -10,7 +10,14 @@ fi
saved_state=.saved-state
$STTY --save > $saved_state || exit 1
-trap "status=$?; echo here; $STTY `cat $saved_state`; exit $status" 0 1 2 3 15
+trap "status=$?; $STTY `cat $saved_state`; exit $status" 0 1 2 3 15
$STTY `cat $saved_state` || exit 1
+# Build a list of all boolean options stty accepts on this system.
+options=`stty -a|tail +2|tr ';' '\012'|sed 's/ =.*//;s/^ //'|tr -s ' -' '\012'`
+
+for opt in $options; do
+ echo $opt
+done
+
exit 0